/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/

#ifndef _MUSICMANIFACE_H_
#define _MUSICMANIFACE_H_

#include <dcopobject.h>

class MusicManIface : virtual public DCOPObject
{
	K_DCOP
public:

k_dcop:
	virtual void play() = 0;
	virtual void pause() = 0;
	virtual void stop() = 0;
	virtual void next() = 0;
	virtual void prev() = 0;
	virtual void setVolume(float perc) = 0;
};

#endif // _MUSICMANIFACE_H_
