/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef TIMESLIDER_H
#define TIMESLIDER_H

#include <qwidget.h>
#include <qpixmap.h>

class QSlider;

/**
@author Joris Guisson
*/
class TimeSlider : public QWidget
{
	Q_OBJECT
	
	QSlider* slider;
	QPixmap pix;
	int ct;
public:
	TimeSlider(QWidget *parent = 0, const char *name = 0);
	virtual ~TimeSlider();
	
public slots:
	void elapsed(int curr);
	void moved(int val);
	void totalTimeChanged(int tt);
	
signals:
	void seek(int val);
};

#endif
