#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/joris/Projects/kmusicmanager/libkmusicmanager/tools/filerenamer/renamedialogbase.ui'
**
** Created: Wed Mar 30 11:10:02 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "renamedialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a RenameDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
RenameDialogBase::RenameDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "RenameDialogBase" );
    RenameDialogBaseLayout = new QHBoxLayout( this, 11, 6, "RenameDialogBaseLayout"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_rename_method = new KLineEdit( this, "m_rename_method" );
    layout1->addWidget( m_rename_method );
    layout2->addLayout( layout1 );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout2->addWidget( textLabel2 );

    m_file_view = new KListView( this, "m_file_view" );
    m_file_view->addColumn( tr2i18n( "Old name" ) );
    m_file_view->addColumn( tr2i18n( "New name" ) );
    m_file_view->setFullWidth( TRUE );
    layout2->addWidget( m_file_view );
    layout4->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer1 = new QSpacerItem( 71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer1 );

    kPushButton2 = new KPushButton( this, "kPushButton2" );
    layout3->addWidget( kPushButton2 );

    kPushButton3 = new KPushButton( this, "kPushButton3" );
    layout3->addWidget( kPushButton3 );
    layout4->addLayout( layout3 );
    RenameDialogBaseLayout->addLayout( layout4 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kPushButton3, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( m_rename_method, SIGNAL( textChanged(const QString&) ), this, SLOT( onRenameStringChanged(const QString&) ) );
    connect( kPushButton2, SIGNAL( clicked() ), this, SLOT( onRenamePressed() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RenameDialogBase::~RenameDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RenameDialogBase::languageChange()
{
    setCaption( tr2i18n( "Rename files" ) );
    textLabel1->setText( tr2i18n( "Rename scheme" ) );
    textLabel2->setText( tr2i18n( "In the above line edit these abbreviations stand for :\n"
"$A - The artist's name\n"
"$T - The songs title\n"
"$a - The name of the album\n"
"$t - The track number\n"
"$G - The genre\n"
"$C - Comments\n"
"\n"
"Any other characters will be untouched. You are allowed to add /'s to put things \n"
"in directories. The extension will be added automatically." ) );
    m_file_view->header()->setLabel( 0, tr2i18n( "Old name" ) );
    m_file_view->header()->setLabel( 1, tr2i18n( "New name" ) );
    kPushButton2->setText( tr2i18n( "Rename" ) );
    kPushButton3->setText( tr2i18n( "Close" ) );
}

#include "renamedialogbase.moc"
