/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef SONGITEM_H
#define SONGITEM_H

#include <klistview.h>

class Song;

class SongItem : public QObject,public KListViewItem
{
	Q_OBJECT
	
	Song* song;
	int idx;
	bool asc;
	
	int compare(QListViewItem * i,int col,bool ascending) const;
public:
	SongItem(KListView* hview,Song* song,int idx,bool asc = true);
	~SongItem();
	
	bool hasSong(Song* s) const {return song == s;}
	Song* getSong() {return song;}
	void setIndex(int i) {idx = i;}
	int getIndex() const {return idx;}
	
public slots:
	void update();
};

#endif
