/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/

#include "filescanthread.h"
#include "song.h"


FileScanThread::FileScanThread()
	: QThread()
{}


FileScanThread::~FileScanThread()
{}

void FileScanThread::run()
{
	done = false;
	while (!done)
	{
		while (!songs.empty())
		{
			Song* s = songs.front();
			s->loadInfoFromFile();
			songs.pop_front();
		}
		sleep(1);
	}
}
