/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef FILESCANTHREAD_H
#define FILESCANTHREAD_H

#include <qthread.h>
#include <qvaluelist.h>

class Song;

/**
@author Joris Guisson
@brief Thread which scans files


*/
class FileScanThread : public QThread
{
	QValueList<Song*> songs;
	bool done;
public:
	FileScanThread();
	~FileScanThread();
	
	void addSong(Song* s) {songs.append(s);}
	void stop() {done = true;}
	void run();
};

#endif
