/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef TIMER_H
#define TIMER_H

#include <qtimer.h>

/**
@author Joris Guisson
*/
class Timer : public QObject
{
	Q_OBJECT
	
	QTimer timer;
	int start_time;
	int elapsed;
	int lp;
	int pause_time;
public:
	Timer(QObject *parent = 0, const char *name = 0);
	virtual ~Timer();

	void start();
	void stop();
	void pause();
	void resume();
	
	double getElapsed() const {return elapsed;}
public slots:
	void update();
};

#endif
